Debian Bug report logs - #677668
GAP 4.5.4 is released

version graph

Package: gap; Maintainer for gap is Bill Allombert <ballombe@debian.org>; Source for gap is src:gap.

Reported by: Iulian Udrea <iulian@physics.org>

Date: Fri, 15 Jun 2012 21:45:06 UTC

Severity: wishlist

Found in version gap/4r4p12-2

Fixed in version gap/4r6p5-1

Done: Bill Allombert <ballombe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#677668; Package gap. (Fri, 15 Jun 2012 21:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iulian Udrea <iulian@physics.org>:
New Bug report received and forwarded. Copy sent to Bill Allombert <ballombe@debian.org>. (Fri, 15 Jun 2012 21:45:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Iulian Udrea <iulian@physics.org>
To: submit@bugs.debian.org
Subject: GAP 4.5.4 is released
Date: Fri, 15 Jun 2012 22:42:33 +0100
[Message part 1 (text/plain, inline)]
Package: gap
Severity: wishlist

Hi there.

GAP 4.5.4 has just been released, today actually. It would be nice to
see it uploaded to Debian.

Ta,
Iulian
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#677668; Package gap. (Sat, 16 Jun 2012 09:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Sat, 16 Jun 2012 09:48:05 GMT) Full text and rfc822 format available.

Message #10 received at 677668@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Iulian Udrea <iulian@physics.org>, 677668@bugs.debian.org
Subject: Re: Bug#677668: GAP 4.5.4 is released
Date: Sat, 16 Jun 2012 11:45:03 +0200
On Fri, Jun 15, 2012 at 10:42:33PM +0100, Iulian Udrea wrote:
> Package: gap
> Severity: wishlist
> 
> Hi there.
> 
> GAP 4.5.4 has just been released, today actually. It would be nice to
> see it uploaded to Debian.

Hello Iulian,
Of course it would, but I am not sure it will be possible to do it before the freeze,
due to the size.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#677668; Package gap. (Sat, 16 Jun 2012 11:04:55 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iulian Udrea <iulian@physics.org>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Sat, 16 Jun 2012 11:05:02 GMT) Full text and rfc822 format available.

Message #15 received at 677668@bugs.debian.org (full text, mbox):

From: Iulian Udrea <iulian@physics.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
Cc: 677668@bugs.debian.org
Subject: Re: Bug#677668: GAP 4.5.4 is released
Date: Sat, 16 Jun 2012 12:03:08 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2012-06-16 at 11:45 +0200, Bill Allombert wrote:
> On Fri, Jun 15, 2012 at 10:42:33PM +0100, Iulian Udrea wrote:
> > Package: gap
> > Severity: wishlist
> > 
> > Hi there.
> > 
> > GAP 4.5.4 has just been released, today actually. It would be nice to
> > see it uploaded to Debian.
> 
> Hello Iulian,

Hi Bill.

> Of course it would, but I am not sure it will be possible to do it before the freeze,
> due to the size.

Indeed. We can always backport it if needed.

Cheers,
Iulian
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#677668; Package gap. (Sat, 01 Sep 2012 17:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Torquil Macdonald Sørensen <torquil@gmail.com>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Sat, 01 Sep 2012 17:45:03 GMT) Full text and rfc822 format available.

Message #20 received at 677668@bugs.debian.org (full text, mbox):

From: Torquil Macdonald Sørensen <torquil@gmail.com>
To: Debian Bug Tracking System <677668@bugs.debian.org>
Subject: gap: GAP 4.5.5 is released
Date: Sat, 01 Sep 2012 19:42:22 +0200
Package: gap
Version: 4r4p12-2
Followup-For: Bug #677668

Actually, GAP 4.5.5 was released in July. It would be nice to see
this in Debian, as I have a GAP program that I would like to try
on the newest version.

Best regards
Torquil Sørensen

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (700, 'unstable'), (500, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.5.3 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gap depends on:
ii  gap-core         4r4p12-2
ii  gap-libs         4r4p12-2
ii  gap-online-help  4r4p12-2

Versions of packages gap recommends:
pn  gap-dev           <none>
ii  gap-doc           4r4p12-2
pn  gap-prim-groups   <none>
pn  gap-small-groups  <none>
pn  gap-trans-groups  <none>

Versions of packages gap suggests:
pn  gap-character-tables    <none>
pn  gap-small-groups-extra  <none>
pn  gap-table-of-marks      <none>

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#677668; Package gap. (Tue, 12 Mar 2013 17:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Puydt <julien.puydt@laposte.net>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Tue, 12 Mar 2013 17:15:03 GMT) Full text and rfc822 format available.

Message #25 received at 677668@bugs.debian.org (full text, mbox):

From: Julien Puydt <julien.puydt@laposte.net>
To: 677668@bugs.debian.org
Subject: Sage has 4.5.7
Date: Tue, 12 Mar 2013 18:05:30 +0100
Hi,

version at least 4.5.7 is out, since that's what sage has.

May I suggest to make packages available in experimental?

Or perhaps just a nice git directory from which "git-buildpackage -us 
-uc" will allow to get packages?

Snark on #debian-science



Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#677668; Package gap. (Tue, 12 Mar 2013 17:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Tue, 12 Mar 2013 17:36:08 GMT) Full text and rfc822 format available.

Message #30 received at 677668@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Julien Puydt <julien.puydt@laposte.net>, 677668@bugs.debian.org
Subject: Re: Bug#677668: Sage has 4.5.7
Date: Tue, 12 Mar 2013 18:23:46 +0100
On Tue, Mar 12, 2013 at 06:05:30PM +0100, Julien Puydt wrote:
> Hi,
> 
> version at least 4.5.7 is out, since that's what sage has.
> 
> May I suggest to make packages available in experimental?

I am waiting for the freeze to end to upload Gap 4.6.2.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#677668; Package gap. (Thu, 20 Jun 2013 14:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to g6299304p@rezozer.net:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Thu, 20 Jun 2013 14:21:04 GMT) Full text and rfc822 format available.

Message #35 received at 677668@bugs.debian.org (full text, mbox):

From: Jerome BENOIT <g6299304p@rezozer.net>
To: 677668@bugs.debian.org
Subject: GAP 4.5.4 is released
Date: Thu, 20 Jun 2013 15:48:54 +0200
Hello

As a matter of fact GAP 4.6.4 was released on 4 May 2013.

Furthermore, Wheezy is now stable.

When do you plan to upload Gap 4.6 ?

Best wishes,
Jerome



Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#677668; Package gap. (Thu, 20 Jun 2013 15:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Thu, 20 Jun 2013 15:06:05 GMT) Full text and rfc822 format available.

Message #40 received at 677668@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: g6299304p@rezozer.net, 677668@bugs.debian.org
Subject: Re: Bug#677668: GAP 4.5.4 is released
Date: Thu, 20 Jun 2013 17:03:36 +0200
On Thu, Jun 20, 2013 at 03:48:54PM +0200, Jerome BENOIT wrote:
> Hello
> 
> As a matter of fact GAP 4.6.4 was released on 4 May 2013.
> 
> Furthermore, Wheezy is now stable.
> 
> When do you plan to upload Gap 4.6 ?

I am still working on it. The problem is that GAP no more provide the basic
tarball used to build the GAP package, and it is unrealistic to upload a
source tarball of nearly 1GB, so I need to build custom tarballs.

So my target is GAP 4.6.5 to be released in July.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#677668; Package gap. (Thu, 27 Jun 2013 18:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Thu, 27 Jun 2013 18:33:04 GMT) Full text and rfc822 format available.

Message #45 received at 677668@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: g6299304p@rezozer.net, 677668@bugs.debian.org
Subject: Re: Bug#677668: GAP 4.5.4 is released
Date: Thu, 27 Jun 2013 20:30:55 +0200
On Thu, Jun 20, 2013 at 05:03:36PM +0200, Bill Allombert wrote:
> On Thu, Jun 20, 2013 at 03:48:54PM +0200, Jerome BENOIT wrote:
> > Hello
> > 
> > As a matter of fact GAP 4.6.4 was released on 4 May 2013.
> > 
> > Furthermore, Wheezy is now stable.
> > 
> > When do you plan to upload Gap 4.6 ?
> 
> I am still working on it. The problem is that GAP no more provide the basic
> tarball used to build the GAP package, and it is unrealistic to upload a
> source tarball of nearly 1GB, so I need to build custom tarballs.
> 
> So my target is GAP 4.6.5 to be released in July.

Well, in the meantime I have made a lot of progress. Now I have more or less a
suitable upstream tarball and I sent some request for clarification to upstream
and I wait for answers. On the other hand there will be a delay since I need to
package a new build-dependency.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Reply sent to Bill Allombert <ballombe@debian.org>:
You have taken responsibility. (Mon, 09 Sep 2013 11:36:12 GMT) Full text and rfc822 format available.

Notification sent to Iulian Udrea <iulian@physics.org>:
Bug acknowledged by developer. (Mon, 09 Sep 2013 11:36:12 GMT) Full text and rfc822 format available.

Message #50 received at 677668-close@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: 677668-close@bugs.debian.org
Subject: Bug#677668: fixed in gap 4r6p5-1
Date: Mon, 09 Sep 2013 11:33:11 +0000
Source: gap
Source-Version: 4r6p5-1

We believe that the bug you reported is fixed in the latest version of
gap, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677668@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bill Allombert <ballombe@debian.org> (supplier of updated gap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 08 Sep 2013 11:44:42 +0200
Source: gap
Binary: gap gap-core gap-libs gap-dev gap-online-help gap-doc
Architecture: source all amd64
Version: 4r6p5-1
Distribution: unstable
Urgency: low
Maintainer: Bill Allombert <ballombe@debian.org>
Changed-By: Bill Allombert <ballombe@debian.org>
Description: 
 gap        - Groups, Algorithms and Programming computer algebra system
 gap-core   - GAP computer algebra system, core components
 gap-dev    - GAP computer algebra system, compiler and development files
 gap-doc    - GAP computer algebra system, documentation
 gap-libs   - GAP computer algebra system, essential GAP libraries
 gap-online-help - GAP computer algebra system, online help
Closes: 605269 677668
Changes: 
 gap (4r6p5-1) unstable; urgency=low
 .
   * New upstream release. Closes: #677668.
     + Fix crashes while displaying large character tables. Closes: #605269.
     + debian/tarball, debian/README.source: update for new upstream tarball
     + debian/watch: added, for new upstream tarball
     + debian/rules:
       - no need to add -fno-strict-aliasing to CFLAGS
   * Move to new source format 3.0 (quilt). Patches applied:
      - config-sub-guess: use autotools-dev config.* version
      - configure: fix path in configure
      - doc-makefile: add Makefile for clean/install
      - gac-object: fix OBJECTS variable in gac script
      - gac: update path in gac script
      - configure-fpic: use -fPIC instead of -fpic
      - configure-ncurses: do not require ncurses to link readline
   * debian/control:
     - Build-Depends on libgmp-dev and gap-gapdoc
     - gap-libs now depends on gap-gapdoc
     - Bump Standards-Version to 3.9.4.
   * debian/gap-core.triggers, debian/gap-core.postinst:
     - Fix to handle compressed workspaces
   * Move to debhelper 5
   * debian/rules:
     - use dh_prep instead of dh_clean -k
Checksums-Sha1: 
 278340d72c3cf0da66dcabe7542a25d887551828 1378 gap_4r6p5-1.dsc
 3c5e83c41fb30fb0fa7ede2ae7884568de5416a6 5099153 gap_4r6p5.orig.tar.gz
 30227b710ef659f14d8ff51a50672b92e2d9a7e5 22366 gap_4r6p5-1.debian.tar.gz
 365c631862bd8a96cc7604f2aa7f2583716acbfc 9100 gap_4r6p5-1_all.deb
 d52b9bd6dd0deabeb58f685271078ce48df3aa6a 2478496 gap-libs_4r6p5-1_all.deb
 cff650705e352ad48ac23db0bc2447a1325c9a9b 1080642 gap-online-help_4r6p5-1_all.deb
 c68c77491b7389ca9dd65f48fae1f8c917485842 5859300 gap-doc_4r6p5-1_all.deb
 401f6aefcbd0460035178623ab7d3ae98f1275c9 574196 gap-core_4r6p5-1_amd64.deb
 4ff0ba794193af8d7d9452a5035f23be9225c0df 1711840 gap-dev_4r6p5-1_amd64.deb
Checksums-Sha256: 
 b9ff1f61a2ab3adee44b8a4bee66a2f1ba6bcb6bb890036c46e9ab05d30fdc2c 1378 gap_4r6p5-1.dsc
 2b5cb9a34bfd37c8ffb9e8282336815c47723e514fe3ab0069f81b3036dfbf45 5099153 gap_4r6p5.orig.tar.gz
 197ee843981cd8c26e47eb55df71550852cb7b5b56b9a67cc23ffac4e0c458c2 22366 gap_4r6p5-1.debian.tar.gz
 9d28d09c30495cbe3eab5eeedc5d53715099eed69a1845fe6e91a90501776c5c 9100 gap_4r6p5-1_all.deb
 cae81a698362daf6d0a20adeea92a1cc61a79a3183b186a5bdc263e38dbb7ff2 2478496 gap-libs_4r6p5-1_all.deb
 e5fc4f626d62d3936a2a79575baa596066beb1e23a6dce2cef557b908f849167 1080642 gap-online-help_4r6p5-1_all.deb
 b80aa0a2139be54d711c1700fa01a9cff503b281401aed33e3c42d0dc472cdfa 5859300 gap-doc_4r6p5-1_all.deb
 bce5d2fb516caefaa6ddb61ab83025fb21a339a5be6aafc49945912e4c3e2e6e 574196 gap-core_4r6p5-1_amd64.deb
 97cfd262dca17d47ccd6cea1d2a9bea3ff781cf77d12d489ce01b010cd840db0 1711840 gap-dev_4r6p5-1_amd64.deb
Files: 
 866e7c4140c2a7873ef4a46c7768bd38 1378 math optional gap_4r6p5-1.dsc
 9008fc92c6305a96cb6a0d3cb0a62706 5099153 math optional gap_4r6p5.orig.tar.gz
 282fbf3688ff08ae889983064dc54c44 22366 math optional gap_4r6p5-1.debian.tar.gz
 1aa664f43f146a46ee937fefdae9786d 9100 math optional gap_4r6p5-1_all.deb
 a8fc6833b96e08dcd42806ccc709ec4a 2478496 math optional gap-libs_4r6p5-1_all.deb
 091ac0f62c6cbf9a6b484b0e16b333cc 1080642 math optional gap-online-help_4r6p5-1_all.deb
 e8ad7f84dce7d42fb4e06a19b65888c9 5859300 doc optional gap-doc_4r6p5-1_all.deb
 fa55d49d06de9377a44a1df7f57be307 574196 math optional gap-core_4r6p5-1_amd64.deb
 c2b75c8961743ab5bef3233af867d05b 1711840 devel optional gap-dev_4r6p5-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlItjvMACgkQeDPs8bVESBX5xwCcCtM7IcZx5jQp3Xmt0ELD6lyJ
cOYAoJGDMRKs3YVGZwudeYozJNniXrmX
=6URR
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 08 Oct 2013 07:34:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:32:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.